%{!?scl_name_base:%global scl_name_base ltrace}
%{!?scl_name_version:%global scl_name_version 07}
%{!?scl:%global scl %{scl_name_base}%{scl_name_version}}
%scl_package %scl
%global debug_package %{nil}


Summary: Package that installs %scl
Name: %scl_name
# should match the RHSCL version
Version: 0.1
Release: 1%{?dist}
Group: Applications/File
License: GPLv2+
Requires: scl-utils
Requires: ltrace07-ltrace
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection, which install
the necessary packages to use ltrace07. Software collections allow
to install more versions of the same package by using an alternative
directory structure.
Install this package if you want to use ltrace07 SCL on your system.

%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/File
Requires: scl-utils
Requires: /usr/bin/scl_source
Requires(post): policycoreutils-python, libselinux-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: %{name}-runtime = %{version}
Requires: scl-utils-build
Group: Applications/File

%description build
Package shipping essential configuration macros to build
%scl Software Collection.

%package scldevel
Summary: Package shipping development files for %scl.
Group: Applications/File

%description scldevel
Development files for %scl (useful e.g. for hierarchical collection
building with transitive dependencies).

%prep
%setup -c -T

%build

%install
mkdir -p %{buildroot}%{_scl_scripts}/root
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
EOF

%scl_install

# scldevel garbage
cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel << EOF
%%scl_%{scl_name_base} %{scl}
%%scl_prefix_%{scl_name_base} %{scl_prefix}
EOF

%files

%files runtime
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel

%changelog
* Tue Aug 12 2014 Your Name <name@example.com> 0.1-1
- Initial commit
